From: Adrian Bunk <bunk@kernel.org>

void returning functions returned the return value of another void 
returning function...

Spotted by sparse.

Signed-off-by: Adrian Bunk <bunk@kernel.org>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>

---
 drivers/md/dm-table.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Index: linux-2.6.25/drivers/md/dm-table.c
===================================================================
--- linux-2.6.25.orig/drivers/md/dm-table.c	2008-04-24 17:43:46.000000000 +0100
+++ linux-2.6.25/drivers/md/dm-table.c	2008-04-24 18:00:59.000000000 +0100
@@ -954,7 +954,7 @@ void dm_table_presuspend_targets(struct 
 	if (!t)
 		return;
 
-	return suspend_targets(t, 0);
+	suspend_targets(t, 0);
 }
 
 void dm_table_postsuspend_targets(struct dm_table *t)
@@ -962,7 +962,7 @@ void dm_table_postsuspend_targets(struct
 	if (!t)
 		return;
 
-	return suspend_targets(t, 1);
+	suspend_targets(t, 1);
 }
 
 int dm_table_resume_targets(struct dm_table *t)
